/*!
 * \file   include/TFEL/Config/Internals/TFELTypesInternals.hxx
 * \brief
 * \author Thomas Helfer
 * \date   15 Sep 2006
 * \copyright Copyright (C) 2006-2018 CEA/DEN, EDF R&D. All rights
 * reserved.
 * This project is publicly released under either the GNU GPL Licence
 * or the CECILL-A licence. A copy of thoses licences are delivered
 * with the sources of TFEL. CEA or EDF may also distribute this
 * project under specific licensing conditions.
 */

#ifndef LIB_TFELTYPESINTERNALS_HXX
#define LIB_TFELTYPESINTERNALS_HXX

#include "TFEL/Math/Forward/qt.hxx"
#include "TFEL/Math/Forward/tvector.hxx"
#include "TFEL/Math/Forward/tmatrix.hxx"
#include "TFEL/Math/Forward/stensor.hxx"

#include "TFEL/Config/Internals/PositionType.hxx"
#include "TFEL/Config/Internals/SpatialGradType.hxx"
#include "TFEL/Config/Internals/InvJacobianType.hxx"
#include "TFEL/Config/Internals/JacobianType.hxx"
#include "TFEL/Config/Internals/TemperatureGradientType.hxx"
#include "TFEL/Config/Internals/HeatFluxVectorType.hxx"
#include "TFEL/Config/Internals/ThermalConductivityMatrixType.hxx"

#endif /* LIB_TFELTYPESINTERNALS_HXX */
