/*!
 * \file   include/TFEL/Math/RungeKutta2.hxx
 *
 * \brief
 * \author Thomas Helfer
 * \date   01 Sep 2006
 * \copyright Copyright (C) 2006-2018 CEA/DEN, EDF R&D. All rights
 * reserved.
 * This project is publicly released under either the GNU GPL Licence
 * or the CECILL-A licence. A copy of thoses licences are delivered
 * with the sources of TFEL. CEA or EDF may also distribute this
 * project under specific licensing conditions.
 */

#ifndef LIB_TFEL_MATH_RUNGEKUTTA2_HXX
#define LIB_TFEL_MATH_RUNGEKUTTA2_HXX

namespace tfel::math {

  template <unsigned int N, typename T, typename Func>
  struct RungeKutta2;

}  // end of namespace tfel::math

#include "TFEL/Math/RungeKutta/RungeKutta2.ixx"

#endif /* LIB_TFEL_MATH_RUNGEKUTTA2_HXX */
